Bug 1294860 - Review Request: python3-coverage - Code coverage testing module for Python
Review Request: python3-coverage - Code coverage testing module for Python
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
: 1449470 (view as bug list)
Depends On: 1294704
Blocks: 1294862 1297977
  Show dependency treegraph
Reported: 2015-12-30 12:57 EST by Orion Poplawski
Modified: 2017-08-25 09:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-01-29 13:53:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-12-30 12:57:05 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage-4.0.3-1.el7.src.rpm
Coverage.py is a Python module that measures code coverage during Python
execution. It uses the code analysis tools and tracing hooks provided in the
Python standard library to determine which lines are executable, and which
have been executed.

Fedora Account System Username: orion
Comment 1 Orion Poplawski 2015-12-30 13:29:55 EST
Copr: https://copr.fedoraproject.org/coprs/g/python/python3_epel7/
Comment 2 Denis Fateyev 2016-01-13 12:21:38 EST
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 166 files have
     unknown license. Detailed output of licensecheck in
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/python3.4/site-
     packages/coverage/htmlfiles(python3-coverage), /usr/lib64/python3.4
Note: not related to epel7.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Checking: python3-coverage-debuginfo-4.0.3-1.el7.centos.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (debuginfo)
Checking: python3-coverage-debuginfo-4.0.3-1.el7.centos.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
python3-coverage-debuginfo.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

python3-coverage-debuginfo (rpmlib, GLIBC filtered):


Separate "python34-coverage-4.0.3-1.el7.centos.x86_64.rpm" checks:

python34-coverage.x86_64: W: no-documentation
python34-coverage.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/coverage/tracer.cpython-34m.so 775
python34-coverage.x86_64: W: no-manual-page-for-binary coverage-3.4
python34-coverage.x86_64: W: no-manual-page-for-binary coverage3
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

$ rpm -qp --requires python34-coverage-4.0.3-1.el7.centos.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libpthread.so.0()(64bit)
      1 libpython3.4m.so.1.0()(64bit)
      1 python34-setuptools
      1 python(abi) = 3.4
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
      1 /usr/bin/python3.4

$ rpm -qp --provides python34-coverage-4.0.3-1.el7.centos.x86_64.rpm | sort | uniq -c
      1 python34-coverage = 4.0.3-1.el7.centos
      1 python34-coverage(x86-64) = 4.0.3-1.el7.centos

Source checksums
http://pypi.python.org/packages/source/c/coverage/coverage-4.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 85b1275b6d7a61ccc8024a4e9a4c9e896394776edce1a5d075ec116f91925462
  CHECKSUM(SHA256) upstream package : 85b1275b6d7a61ccc8024a4e9a4c9e896394776edce1a5d075ec116f91925462

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m epel-7-x86_64 -b 1294860
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby

1) Please add missing license files (LICENSE.txt, NOTICE.txt), also fix license tag;
2) Consider adding AUTHORS.txt, README.rst and maybe some from 'doc/' into %doc.
Comment 3 Orion Poplawski 2016-01-13 13:44:14 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage-4.0.3-2.el7.src.rpm

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-2
- Fix and install licenses
- Install docs
Comment 4 Denis Fateyev 2016-01-13 14:22:25 EST
I should've investigated more since license autocheck isn't always correct.
Proper tag would be "ASL 2.0 and MIT" since:
- 'coverage-4.0.3/coverage/htmlfiles/jquery.isonscreen.js' is MIT-licensed;
- 'coverage-4.0.3/coverage/htmlfiles/jquery.min.js is under https://jquery.org/license/ which is also MIT.
You may also use 'rst2html' from docutils for docs usability.
Comment 5 Orion Poplawski 2016-01-13 15:53:25 EST
Here's what I found:

# jquery(MIT):
#  coverage/htmlfiles/jquery.min.js
# MIT or GPL:
#  coverage/htmlfiles/jquery.debounce.min.js
#  coverage/htmlfiles/jquery.hotkeys.js
#  coverage/htmlfiles/jquery.isonscreen.js
License:        ASL 2.0 and MIT and (MIT or GPL)

Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-coverage-4.0.3-3.el7.src.rpm

* Wed Jan 13 2016 Orion Poplawski <orion@cora.nwra.com> - 4.0.3-3
- Note and update license
- Note bundled jquery libraries

rst2html chokes on a bunch of sphinx tags in the rst files.  I think I'll just leave as is.
Comment 6 Denis Fateyev 2016-01-13 16:03:10 EST
"ASL 2.0 and MIT and (MIT or GPL)" is a bit wordy ;-) Although covers everything.
Package approved.
Comment 7 Gwyn Ciesla 2016-01-13 17:25:11 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python3-coverage
Comment 8 Fedora Update System 2016-01-13 18:48:17 EST
python3-coverage-4.0.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4058c4b32
Comment 9 Fedora Update System 2016-01-14 05:24:42 EST
python3-coverage-4.0.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4058c4b32
Comment 10 Denis Fateyev 2016-01-14 10:42:09 EST
Just a small nit-picking: missing first letter in the package description https://admin.fedoraproject.org/pkgdb/package/rpms/python3-coverage/
Comment 11 Orion Poplawski 2016-01-14 11:06:39 EST
I believe that should get synced up automatically at some point.
Comment 12 Fedora Update System 2016-01-29 13:53:11 EST
python3-coverage-4.0.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Aurelien Bompard 2017-08-25 09:40:21 EDT
*** Bug 1449470 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.